# Produce MSDOS executable using SubC
# Build with pdmake -f makefile.sub

world.exe: world.o
  sld -s -o world.exe -L lib lib\crt0.o world.o -lscc

.c.o:
  pdcc -E -D__SUBC__ -D__MSDOS__ -Dunsigned= -Dlong=int -Dshort=int -Dconst= -Ddouble=int -I ../../pdos/pdpclib -o $*.i $<
  sccdos -S $*.i
  rm $*.i
  s86 -o $@ $*.s
  rm $*.s
